package de.w665.fluidcms.model.objectattributes;

import de.w665.fluidcms.model.ObjectAttribute;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class StringObjectAttribute extends ObjectAttribute<String> {
    private String value;

    @Override
    public String getValueAsString() {
        return value;
    }

    @Override
    public String getValue() {
        return value;
    }

    @Override
    public void setValue(String value) {
        this.value = value;
    }
}
